Skip to:
Content
Pages
Categories
Search
Top
Bottom

Upgrade from 1.2.8 to 1.8.1 ISSUE

  • Avatar of Kierandru
    Kierandru
    Participant

    @kierandru

    Please help?!?

    Last week I tried to update my site at work. Everything went fine until I tried to update the Buddy Press plugin. How ever as I updated the website no longer worked and had an error up on screen, I cant remember but I think it was missing argument of some sort. I need to update the site and have done everything but buddypress at this stage. I am currently using the Canvas Theme Im not sure if that has anything to do with it. Please could someone get back to me. Cause if I update to 1.8.1 and it crashes I would really like someone to help me fix this. PLEASE HELP.

    Thanks

Viewing 3 replies - 1 through 3 (of 3 total)
  • Avatar of Hugo
    Hugo
    Moderator

    @hnla

    When you do anything like upgrading an app and you’re not 100% familiar with the process you MUST read the documentation, looking for any guides or instructions to follow.

    You are attempting to update a really outdated version of BP, and you cannot do a straight jump to the latest stable:

    Read this page and link to upgrade process for 1.2 versions to 1.5

    http://codex.buddypress.org/getting-started/upgrading-buddypress/

    And strong word of advice, keep current with latest releases of BP in the intervening version releases there have been a few critical security fixes that left un-patched leave your site and others vulnerable

    Avatar of Kierandru
    Kierandru
    Participant

    @kierandru

    Thanks for the advice, busy doing my backup and will try upgrade it version by version.
    See if that works.

    Avatar of Kierandru
    Kierandru
    Participant

    @kierandru

    Sorry while Im backing up, I already upgraded wordpress since doing that, this error pops up above one of my forms. Please understand I have taken over looking after these blogs and Im trying to update everything so any advice would be much appreciated.

    Warning: Missing argument 2 for wpdb::prepare(), called in /home/railafr1/public_html/wp-content/plugins/buddypress/bp-xprofile/bp-xprofile-classes.php on line 117 and defined in /home/railafr1/public_html/wp-includes/wp-db.php on line 992 –

Viewing 3 replies - 1 through 3 (of 3 total)

You must be logged in to reply to this topic.